Subject: Re: [PATCH v2 1/2] Makefile: add NO_HOMEBREW

From: René Scharfe <[email-masked]>
Date: Tue, 16 Dec 2025 19:53:25 +0100

On 12/15/25 12:19 AM, Junio C Hamano wrote:
> René Scharfe <[email-masked]> writes:
> 
>> Sounds useful, but before this can become a documented feature it
>> deserves more research and refinement.  The current code uses what it
>> can find in an ad-hoc manner, and the patches just extend this behavior
>> to libiconv.  A user-settable HOMEBREW_PREFIX would require a more
>> principled approach, so that overriding it affects the search for
>> gettext and libiconv.
> 
> Oh, that is so true (but the specifics in macOS details is a bit
> beyond my depth :/).
Similar for me, but how hard can it be? :-P.  v3 coming, but needs
thorough review and testing.

René